import urllib.request
import pickle

(codes, regions, locs_clean, closures) = pickle.load(
    open('meta_info.p', 'rb'))

print(codes)



locations = {}
for code in codes:
    url_str = 'https://www.londonair.org.uk/london/asp/publicdetails.asp?region=0&site=%s&details=location&mapview=all&la_id=&network=All&MapType=Google' %code
    try:
        urllib.request.urlretrieve(url_str, 'tmp_loc.html')
        with  open('tmp_loc.html', 'r') as html_f:
            text = html_f.read()
            lat_lon_str = text.split('Latitude')[1].split('static google map')[0].split('<em>')[1].split('</em>')[0]
            print(lat_lon_str)
            lat_lon_split = lat_lon_str.split(', ')
            lat = float(lat_lon_split[0])
            lon = float(lat_lon_split[1])
            print(code, lat, lon)
            out_file = open('lat_lon_coords.txt', 'a')
            out_file.write('%s, %s, %s\n' %(code, lat, lon))
            out_file.close()
            locations[code] = (lat, lon)
    except:
        out_file = open('lat_lon_coords.txt', 'a')
        out_file.write('%s, %s, %s\n' %(code, '', ''))
        out_file.close()
        
 
            
            
