import numpy as np
import csv
import sys
import os
import pickle

import urllib.request 

import matplotlib.pyplot as plt

import time

files = os.listdir('data_raw/')
done_files = os.listdir('data_raw/with_data/')

data_files = []
no_data_files = []
for ff in files:
    if ff == 'with_data': 
        continue # Ignore folder used for outputs
#     ff = files[0]
    if ff in done_files:
        continue # Has already been done
    
    found = False
    lines_data = []
    with open('data_raw/%s' %ff) as csvfile:
        reader = csv.reader(csvfile, delimiter=',')
        ii = 0
        for row in reader:
            if ii >= 1 and row[3] != '':
    #         if ii < 5:
                found = True
                lines_data.append(row)
            if ii == 0:
                lines_data.append(row)
            ii += 1
    if found:
        print(ff)
        data_files.append(ff)
        with open('data_raw/with_data/%s' %ff, 
                  'w', newline='') as csv_outfile:
            writer = csv.writer(csv_outfile, delimiter=',')
            for ll in lines_data:
                writer.writerow(ll)
    else:
        no_data_files.append(ff)
    
print(len(data_files))
print(len(no_data_files))
